<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.kuaishou.modules.ai.mapper.KuaiShouVideoLastTimeMapper">
    <select id="getImageListByMd5" resultType="java.lang.String">
      select
      signature
      from ctop_material_cut_frame
      where video_signature = #{md5}
      limit 15
    </select>

    <select id="getImageListByMd5List" resultType="com.alibaba.fastjson.JSONObject">
        select
        video_signature,
        signature
        from ctop_material_cut_frame t1
        where t1.video_signature in
        <foreach collection="codeList" item="item" separator=","
                 open="(" close=")">
            #{item}
        </foreach>
    </select>

</mapper>